<?php
include('../common/parseargs.php');

$USAGE=" --groupid=<groupid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$GROUPID=$args_array['groupid'];


if (strlen($GROUPID) < 1) {
        echo "ERROR: --groupid=<groupid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

try{

	$client = new soapclient("https://$HOST:$PORT/Group?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$response = $client->getGroupById(array('id'=>"$GROUPID")) ;

	var_dump($response);
} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
